<?php
/*
 */

get_header(); ?>

     <?php 
global $bikashsoft_options;
$bikashsoft_settings = get_option( 'bikashsoft_options', $bikashsoft_options );
$bikashsoft_layout = $bikashsoft_settings['bikashsoft_home_page_layout'];
$bikashsoft_welcome_post_id = $bikashsoft_settings['welcome_post'];
$bikashsoft_how_to_help_post_id = $bikashsoft_settings['how_to_help_post'];
$bikashsoft_become_volunteer_post_id = $bikashsoft_settings['become_volunteer_post'];
$bikashsoft_donate_us_post_id = $bikashsoft_settings['donate_us_post'];
$bikashsoft_awareness_post_id = $bikashsoft_settings['awareness_post'];
$bikashsoft_project_category = $bikashsoft_settings['project_cat'];
$service_block1 = $bikashsoft_settings['service_block1'];
$service_block2 = $bikashsoft_settings['service_block2'];
$service_block3 = $bikashsoft_settings['service_block3'];
$show_fontawesome_icon = $bikashsoft_settings['show_fontawesome'];
$testimonial_category = $bikashsoft_settings['testimonial_cat'];
$bikashsoft_featured_bar = $bikashsoft_settings['featured_bar'];
$bikashsoft_welcome_post_char = (isset($bikashsoft_settings['welcome_post_char']) ? $bikashsoft_settings['welcome_post_char'] : 650 );
$bikashsoft_how_to_help_post_char = (isset($bikashsoft_settings['how_to_help_post_char']) ? $bikashsoft_settings['how_to_help_post_char'] : 250 );
$bikashsoft_become_volunteer_post_char = (isset($bikashsoft_settings['become_volunteer_post_char']) ? $bikashsoft_settings['become_volunteer_post_char'] : 250 );
$bikashsoft_donate_us_post_char = (isset($bikashsoft_settings['donate_us_post_char']) ? $bikashsoft_settings['donate_us_post_char'] : 250 );
$bikashsoft_awareness_post_char = (isset($bikashsoft_settings['awareness_post_char']) ? $bikashsoft_settings['awareness_post_char'] : 250 );

$bikashsoft_show_project_number = (isset($bikashsoft_settings['show_project_number']) ? $bikashsoft_settings['show_project_number'] : 3 ) ;
$big_icons = $bikashsoft_settings['big_icons'];
$disable_project = $bikashsoft_settings['disable_project'];
if($disable_project == 1){
	$welcome_class = "full-width";
}else{
	$welcome_class = "";
}
if( $bikashsoft_layout !== 'Layout2') { ?>			
<section class="welcome padd_both50">
  <div class="container">
    <div class="row">
      <div class="col-md-12 col-sm-12">
        <div class="welcome_holder <?php echo esc_attr($welcome_class); ?>">

	<?php
			if(!empty($bikashsoft_welcome_post_id)){
			$posttype = get_post_type($bikashsoft_welcome_post_id);
			$postparam = ($posttype == 'page') ? 'page_id': 'p';
			$args = array(
				'post_type' => $posttype,
				$postparam => $bikashsoft_welcome_post_id
				);
			$query1 = new WP_Query( $args );
				while ($query1->have_posts()) : $query1->the_post(); ?>
					 	
				
                    <div class="title">
            <h2><?php the_title(); ?></h2>
            </div>
    					
    					
    					<?php if($bikashsoft_settings['welcome_post_content'] == 0 || empty($bikashsoft_settings['welcome_post_content'])){ ?>
    						<p><?php echo bikashsoft_excerpt( get_the_content() , $bikashsoft_welcome_post_char ) ?></p>
    						<?php if(!empty($bikashsoft_settings['welcome_post_readmore'])){?>
    							<a href="<?php the_permalink(); ?>" class="readbtn"><?php echo esc_attr($bikashsoft_settings['welcome_post_readmore']); ?></a>
    						<?php } 
    					}else{ 
    						the_content();
    					} ?>
    					
    					</div>
                        <?php endwhile;	
				wp_reset_postdata(); 
				}else{ ?>
<div class="welcome_holder">
          <div class="title">
            <h2><?php _e('Welcome to <span>Our Website</span>','bikashsoft'); ?></h2>
          </div>
          <p><?php _e('Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor. Aenean massa. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Donec quam felis, ultricies nec, pellentesque eu, pretium quis, sem. Nulla consequat massa quis enim. ','bikashsoft'); ?></p>
        </div>
              <?php } ?>      </div>
					</div>
                    
                    
				


<?php 
if(!empty($service_block1) || !empty($service_block2) || !empty($service_block3)){
    ?><div class="row"><?php 
    if(!empty($service_block1)) { ?>
    <div class="col-md-4 col-sm-4">
		<div id="featured-post-1" class="service_block<?php if($show_fontawesome_icon){echo 'icon_view_mod';} if($big_icons == 1){ echo ' big-icon'; } ?>">
			
			<?php
				$posttype = get_post_type($service_block1);
				$postparam = ($posttype == 'page') ? 'page_id': 'p';
				$args = array(
					'post_type' => $posttype,
					$postparam => $service_block1
				);
				$query2 = new WP_Query( $args );
				// the Loop
				while ($query2->have_posts()) : $query2->the_post(); 
					
					if( $show_fontawesome_icon == 0 ){
					?>
					
					<?php } ?>	

					 <h3><?php the_title(); ?></h3>

                               
							<?php 							
							if( has_post_thumbnail()){
							$image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'featured-thumbnail', false ); 
							?>
							<img src="<?php echo esc_url($image[0]); ?>" alt="">
							<?php }else { ?>
							<img src="<?php echo get_template_directory_uri(); ?>/images/mssion.png" alt="">
							<?php } 
							?>
						
					
					
						<p><?php echo bikashsoft_excerpt( get_the_content() , 120 ) ?></p>
					
				<?php endwhile;
				wp_reset_postdata(); ?>
		
		</div>
        </div>
	<?php }

	if(!empty($service_block2)) { ?>
    <div class="col-md-4 col-sm-4">
		<div id="featured-post-2" class="service_block<?php if($show_fontawesome_icon){echo 'icon_view_mod';} if($big_icons == 1){ echo ' big-icon'; } ?>">
			
			<?php
				$posttype = get_post_type($service_block2);
				$postparam = ($posttype == 'page') ? 'page_id': 'p';
				$args = array(
					'post_type' => $posttype,
					$postparam => $service_block2
				);
				$query2 = new WP_Query( $args );
				// the Loop
				while ($query2->have_posts()) : $query2->the_post(); 
					
					if( $show_fontawesome_icon == 0 ){
					?>
					
					<?php } ?>	

					 <h3><?php the_title(); ?></h3>

                               
							<?php 							
							if( has_post_thumbnail()){
							$image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'featured-thumbnail', false ); 
							?>
							<img src="<?php echo esc_url($image[0]); ?>" alt="">
							<?php }else { ?>
							<img src="<?php echo get_template_directory_uri(); ?>/images/vision.png" alt="">
							<?php } 
							?>
						
					
					
						<p><?php echo bikashsoft_excerpt( get_the_content() , 120 ) ?></p>
					
				<?php endwhile;
				wp_reset_postdata(); ?>
		
		</div>
        </div>
	<?php } 

	if(!empty($service_block3)) { ?>
     <div class="col-md-4 col-sm-4">
		<div id="featured-post-3" class="service_block<?php if($show_fontawesome_icon){echo 'icon_view_mod';} if($big_icons == 1){ echo ' big-icon'; } ?>">
			
			<?php
				$posttype = get_post_type($service_block3);
				$postparam = ($posttype == 'page') ? 'page_id': 'p';
				$args = array(
					'post_type' => $posttype,
					$postparam => $service_block3
				);
				$query2 = new WP_Query( $args );
				// the Loop
				while ($query2->have_posts()) : $query2->the_post(); 
					
					if( $show_fontawesome_icon == 0 ){
					?>
					
					<?php } ?>	

					 <h3><?php the_title(); ?></h3>

                               
							<?php 							
							if( has_post_thumbnail()){
							$image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'featured-thumbnail', false ); 
							?>
							<img src="<?php echo esc_url($image[0]); ?>" alt="">
							<?php }else { ?>
							<img src="<?php echo get_template_directory_uri(); ?>/images/support.png" alt="">
							<?php } 
							?>
						
					
					
						<p><?php echo bikashsoft_excerpt( get_the_content() , 120 ) ?></p>
					
				<?php endwhile;
				wp_reset_postdata(); ?>
		
		</div>
        </div>
	<?php } 
	?></div> <?php
	}else{ ?>
	<div class="row">
	<?php for($service_block=1 ; $service_block < 4; $service_block++){ ?>
    <div class="col-md-4 col-sm-4">
	<div id="featured-post-<?php echo $service_block; ?>" class="service_block <?php if($show_fontawesome_icon){echo ' icon_view_mod';}?>">

		
    
    		
       
		<h2><?php _e('Service Block','bikashsoft'); ?> <?php echo $service_block; ?></h2>

		
    		<img src="<?php echo get_template_directory_uri().'/images/mssion.png' ?>" alt="">
			<p><?php _e('Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate...','bikashsoft'); ?></p>
		
        
	</div>
</div>
<?php }
    ?><?php
	} ?>
</div>
	
    </div>
</div>
                    </section>


<section class="help padd_both40">
  <div class="container">
    <div class="row">
    <?php
			if(!empty($bikashsoft_how_to_help_post_id)){
			$posttype = get_post_type($bikashsoft_how_to_help_post_id);
			$postparam = ($posttype == 'page') ? 'page_id': 'p';
			$args = array(
				'post_type' => $posttype,
				$postparam => $bikashsoft_how_to_help_post_id
				);
			$query1 = new WP_Query( $args );
				while ($query1->have_posts()) : $query1->the_post(); ?>
      <div class="col-md-4 col-sm-4">
      
					 	
        <div class="help_holder">
          <div class="title">
           <h2><?php the_title(); ?></h2>
            </div>
    					
    					
    					<?php if($bikashsoft_settings['how_to_help_post_content'] == 0 || empty($bikashsoft_settings['how_to_help_post_content'])){ ?>
    						<p><?php echo bikashsoft_excerpt( get_the_content() , $bikashsoft_how_to_help_post_char ) ?></p>
    						<?php if(!empty($bikashsoft_settings['how_to_help_post_readmore'])){?>
    							<a href="<?php the_permalink(); ?>" class="readbtn"><?php echo esc_attr($bikashsoft_settings['how_to_help_post_readmore']); ?></a>
    						<?php } 
    					}else{ 
    						the_content();
    					} ?>
          
          </div>
      </div>
      <?php endwhile;	
				wp_reset_postdata(); 
				}
				
				else{ ?>
                <div class="col-md-4 col-sm-4">
        <div class="help_holder">
          <div class="title">
            <h2><?php _e('How You Can <span>Help?</span>','bikashsoft'); ?></h2>
          </div>
          <p class="help_support"><?php _e('Your support will help us to make life better living for poor vulnerable children.','bikashsoft'); ?></p>
          <br>
          <p><?php _e('Nulla facilisis tellus maximus lectus congue tincidunt. In hac habitasse platea dictumst. Quisque malesuada mi imperdiet, commodo eros sed, aliquet tortor. Aenean id arcu in lacus semper gravida. Proin porta leo et facilisis pretium. perdiet...','bikashsoft'); ?></p>
          <a href="" class="readbtn"><?php _e('Read More','bikashsoft'); ?></a> </div>
      </div>
      <?php } ?>
      <?php
			if(!empty($bikashsoft_become_volunteer_post_id)){
			$posttype = get_post_type($bikashsoft_become_volunteer_post_id);
			$postparam = ($posttype == 'page') ? 'page_id': 'p';
			$args = array(
				'post_type' => $posttype,
				$postparam => $bikashsoft_become_volunteer_post_id
				);
			$query1 = new WP_Query( $args );
				while ($query1->have_posts()) : $query1->the_post(); ?>
      <div class="col-md-4 col-sm-4">
       
        <div class="help_block">
        <?php 
					if( has_post_thumbnail() ){
					$image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'full', false ); 
					?>

          <figure><img src="<?php echo esc_url($image[0]); ?>" alt="<?php the_title(); ?>"></figure>
          <?php } ?>
          <h3><?php the_title(); ?></h3>
         <?php if($bikashsoft_settings['become_volunteer_post_content'] == 0 || empty($bikashsoft_settings['become_volunteer_post_content'])){ ?>
    						<p><?php echo bikashsoft_excerpt( get_the_content() , $bikashsoft_become_volunteer_post_char ) ?></p>
    						<?php if(!empty($bikashsoft_settings['become_volunteer_post_readmore'])){?>
    							<a href="<?php the_permalink(); ?>" class="readbtn"><?php echo esc_attr($bikashsoft_settings['become_volunteer_post_readmore']); ?></a>
    						<?php } 
    					}else{ 
    						the_content();
    					} ?>
    						</div>
                            
      </div>
       <?php endwhile;	
				wp_reset_postdata(); 
				}
				
				else{ ?>
                <div class="col-md-4 col-sm-4">
        <div class="help_block">
          <figure><img src="<?php echo get_template_directory_uri(); ?>/images/volunteer.png" alt="img"></figure>
          <h3><?php _e('Become a Volunteer','bikashsoft'); ?></h3>
          <p><?php _e('Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam interdum diam tortor, egestas varius erat aliquam a. ','bikashsoft'); ?></p>
          <a href="" class="readbtn"><?php _e('Sign Up Today','bikashsoft'); ?></a> </div>
      </div>
      <?php } ?>
       <?php
			if(!empty($bikashsoft_donate_us_post_id)){
			$posttype = get_post_type($bikashsoft_donate_us_post_id);
			$postparam = ($posttype == 'page') ? 'page_id': 'p';
			$args = array(
				'post_type' => $posttype,
				$postparam => $bikashsoft_donate_us_post_id
				);
			$query1 = new WP_Query( $args );
				while ($query1->have_posts()) : $query1->the_post(); ?>
       <div class="col-md-4 col-sm-4">
      
        <div class="help_block">
          <?php 
					if( has_post_thumbnail() ){
					$image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'full', false ); 
					?>

          <figure><img src="<?php echo esc_url($image[0]); ?>" alt="<?php the_title(); ?>"></figure>
          <?php } ?>
          <h3><?php the_title(); ?></h3>
         <?php if($bikashsoft_settings['donate_us_post_content'] == 0 || empty($bikashsoft_settings['donate_us_post_content'])){ ?>
    						<p><?php echo bikashsoft_excerpt( get_the_content() , $bikashsoft_donate_us_post_char ) ?></p>
    						<?php if(!empty($bikashsoft_settings['donate_us_post_readmore'])){?>
    							<a href="<?php the_permalink(); ?>" class="readbtn"><?php echo esc_attr($bikashsoft_settings['donate_us_post_readmore']); ?></a>
    						<?php } 
    					}else{ 
    						the_content();
    					} ?>
    						</div>
                            
      </div>
      <?php endwhile;	
				wp_reset_postdata(); 
				}
				
				else{ ?>
                <div class="col-md-4 col-sm-4">
                
        <div class="help_block">
          <figure><img src="<?php echo get_template_directory_uri(); ?>/images/donate.png" alt="img"></figure>
          <h3><?php _e('Donate Us','bikashsoft'); ?></h3>
          <p><?php _e('Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam interdum diam tortor, egestas varius erat aliquam a.','bikashsoft'); ?> </p>
          <a href="" class="readbtn"><?php _e('Donate Now','bikashsoft'); ?></a> </div>
      </div>
      <?php } ?>
    </div>
  </div>
</section>

<section class="awarness padd_both50">
  <div class="container">
  <?php
			if(!empty($bikashsoft_awareness_post_id)){
			$posttype = get_post_type($bikashsoft_awareness_post_id);
			$postparam = ($posttype == 'page') ? 'page_id': 'p';
			$args = array(
				'post_type' => $posttype,
				$postparam => $bikashsoft_awareness_post_id
				);
			$query1 = new WP_Query( $args );
				while ($query1->have_posts()) : $query1->the_post(); ?>
    <div class="title">
      <h2><?php _e('Awarness <span> Campaigns</span>','bikashsoft'); ?></h2>
    </div>
    <div class="row">
      <div class="col-md-6 col-sm-6">
        <?php 
					if( has_post_thumbnail() ){
					$image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'full', false ); 
					?>

          <figure><img src="<?php echo esc_url($image[0]); ?>" alt="<?php the_title(); ?>"></figure>
          <?php } ?>
      </div>
      <div class="col-md-6 col-sm-6">
        <div class="awarness_holder">
          <h3><?php the_title(); ?></h3>
           <?php if($bikashsoft_settings['awareness_post_content'] == 0 || empty($bikashsoft_settings['awareness_post_content'])){ ?>
    						<p><?php echo bikashsoft_excerpt( get_the_content() , $bikashsoft_awareness_post_char ) ?></p>
    						<?php if(!empty($bikashsoft_settings['awareness_post_readmore'])){?>
    							<a href="<?php the_permalink(); ?>" class="readbtn"><?php echo esc_attr($bikashsoft_settings['awareness_post_readmore']); ?></a>
    						<?php } 
    					}else{ 
    						the_content();
    					} ?></div>
      </div>
    </div>
     <?php endwhile;	
				wp_reset_postdata(); 
				}
				
				else{ ?>
                <div class="title">
      <h2><?php _e('Awarness <span> Campaigns</span>','bikashsoft'); ?></h2>
    </div>
    <div class="row">
      <div class="col-md-6 col-sm-6">
        <figure><img src="<?php echo get_template_directory_uri(); ?>/images/awarness.jpg" alt=""></figure>
      </div>
      <div class="col-md-6 col-sm-6">
        <div class="awarness_holder">
          <h3><?php _e('Lorem ipsum dolor sit amet, consectetu ','bikashsoft'); ?></h3>
          <p><?php _e('Lorem ipsum dolor sit amet, consectetu pisei ing elit. Pellente sque mi tellus, fringilla intedi dumdi vitae, tempor id lorem. Nunc aliquett ndun conse iquat. Lorem ipsum dolor sit amet, consectet uos pisei ing elit. Pellentesque miteds llus, intedidum vitae, tempor idorem. Nunc aliquettndunt consni equat. Nunc aliquett ndun conse iquat. ','bikashsoft'); ?></p>
          <br>
          <p><?php _e('Lorem ipsum dolor sit amet, consectetu pisei ing elit. Pellente sque mi tellus, fringilla intedi dumdi vitae, tempor id lorem. Nunc aliquett ndun conse iquat. Lorem ipsum dolor sit amet, consectet uos pisei ing elit. Pellentesque miteds llus, intedidum vitae, tempor idorem. Nunc aliquettndunt consni equat. Nunc aliquett ndun conse iquat.','bikashsoft'); ?> </p>
          <a href="#" class="readbtn"><?php _e('Read more','bikashsoft'); ?></a> </div>
      </div>
    </div>
    <?php } ?>
  </div>
</section>
<?php if($disable_project != 1): ?>
<section class="project padd_both50">
  <div class="container">
    <div class="title">
      <h2>Our <span>Projects</span></h2>
    </div>
    <?php
				if(!empty($bikashsoft_project_category)){

	            $loop = new WP_Query( array(
	                'cat' => $bikashsoft_project_category,
	                'posts_per_page' => $bikashsoft_show_project_number,
	            )); ?>
    <div class="row">
      <ul class="clearfix">
        <?php while ($loop->have_posts()) : $loop->the_post(); ?>
        <li class="project_list col-md-4 col-sm-4 clearfix">
          <div class="project_img_holder">
            <figure> <a href="<?php the_permalink(); ?>">
						<?php 
						if( has_post_thumbnail() ){
						$image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'event-thumbnail', false ); 
						?>
						<img src="<?php echo esc_url($image[0]); ?>" class="grayscale" alt="<?php the_title(); ?>">
						<?php } else { ?>
						<img src="<?php echo get_template_directory_uri(); ?>/images/project_1.jpg" class="grayscale" alt="<?php the_title(); ?>">
						<?php } ?></a></figure>
                        <?php 
						if($bikashsoft_settings['show_projectdate'] == 1){ ?>
							  <div class="price">
							<span class="event-date-day"><?php echo get_the_date('j'); ?></span>
							<span class="event-date-month"><?php echo get_the_date('M'); ?></span>
							</div>
						<?php
						}?>
            </div>
          
          <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
          <p><?php echo bikashsoft_excerpt( get_the_content() , 170 ) ?></p>
          <a href="#" class="readbtn">Read more</a> </li>
         <?php endwhile; ?>
	        
	        
        
      </ul>
    </div>
    <?php wp_reset_postdata(); 

				} else { ?>
                
               
   
    <div class="row">
      <ul class="clearfix">
      <?php for ( $project_count=1 ; $project_count < 4 ; $project_count++ ) { ?>
        <li class="project_list col-md-4 col-sm-4 clearfix">
          <div class="project_img_holder">
            <figure> <img src="<?php echo get_template_directory_uri(); ?>/images/project_1.jpg" class="grayscale" alt="img"> </figure>
            <div class="price">2 May,2016</div>
          </div>
          <h3>School building</h3>
          <p>Duis accumsan rhosn cius arcvira orem bland it sit admet. Sedi ceel ugue. In idn iacues ante. Proi rien is mi gravida viverra.mi gravida viverra.</p>
          <a href="#" class="readbtn">Read more</a> </li>
        <?php } ?>
        
      </ul>
    </div>
  </div>
</section>
                 <?php } 
	        	
	         ?>
  </div>
</section>
<?php endif; ?>
<section class="testimonials"> 
  

  <div class="container content">
    <div class="title">
      <h2 class="test-header">Clients <span>SAYS</span></h2>
    </div>
   
   
  
      <div class="row">
       <div class="flexslider">
  <ul class="slides">
   <?php if(!empty($testimonial_category)) {	?>
 		
			<?php
				$loop2 = new WP_Query( array(
	                'cat' => $testimonial_category,
	                'posts_per_page' => 5,
	            )); ?>
                 <?php while ($loop2->have_posts()) : $loop2->the_post(); ?>
                 
    <li>
      
            <div class="col-md-12 col-sm-12">
              <div class="thumbnail adjust1 clearfix">
                <div class="col-md-3 col-sm-3 col-xs-12"><?php 
                            if(has_post_thumbnail()){
                            the_post_thumbnail('event-thumbnail'); 
                            }else{ ?>
                               <img class="media-object img-rounded img-responsive" src="<?php echo get_template_directory_uri(); ?>/images/thumbnail.jpg"> 
                            <?php }?> </div>
                <div class="col-md-9 col-sm-9 col-xs-12">
                  <div class="caption">
                    <p class="text-info lead adjust2"><?php the_title(); ?></p>
                    <p><span class="glyphicon glyphicon-thumbs-up"></span><?php echo bikashsoft_excerpt( get_the_content() , 140 ) ?></p>
                    <blockquote class="adjust2">
                      <p></p>
                       </blockquote>
                  </div>
                </div>
              </div>
            </div>
              
          
        
          
    </li>
    <?php endwhile; ?>
     <?php wp_reset_postdata(); 
			}
			?>
      </div>
    
  </ul>
</div>
    
  </div>
  
  
</section>

<?php } 
?>




<?php get_footer(); ?>